Tectia

System Requirements of the Management Agent

This section gives the minimum system requirements of the Management Agent.

Hardware

The following hardware is required on the managed host:

  • 4 MB RAM used by the Management Agent on Unix, 8 MB on Windows

  • 2 MB free disk space for the software

  • 50 MB recommended for the installation packages and the binaries of managed Tectia applications

  • TCP/IP connection to the Management Server

Supported Platforms

Tectia Manager can detect and report the following SSH software on the managed hosts:

  • SSH Tectia 4.x, 5.x and 6.x software

  • SSH Tectia Client Japanese versions 4.3.x.-J and 6.0.9J

  • SSH Secure Shell 3.2

  • OpenSSH 4.4 and later

Tectia Manager can be used to collect and audit the logs from the following SSH software:

  • (SSH) Tectia Server 6.0.0 and later

  • (SSH) Tectia MFT Events 6.1.0 and later

  • OpenSSH server 4.4 and later

The Management Agents can be installed on those platforms that are supported for the managed Tectia software.

Table 5.1. Supported managed Tectia software and platforms

OS VersionTectia Client/ServerTectia ConnectSecureTectia MFT Events
HP-UX (PA-RISC)
11.11, 11.23, 11.316.0.0 and later6.0.0 and later
HP-UX (IA64)
11.23, 11.316.0.0 and later6.0.0 and later
IBM AIX (POWER)
5.2, 5.36.0.x6.0.x
6.16.0.4 and later
7.16.2.1 and later6.2.1 and later
Microsoft Windows (x86)
2000 SP46.0.x6.0.x
XP SP26.0.0 and later6.0.0 and later6.1.0 and later
Server 20036.0.0 and later6.0.0 and later6.1.0 and later
VistaClient: 6.0.0 and later6.1.7 and later6.1.7 and later
Server 20086.0.6 and later6.0.6 and later6.1.0 and later
76.1.5 and later6.1.7 and later6.1.7 and later
Microsoft Windows (x64)
Server 2003 x646.0.0 and later6.1.7 and later6.1.7 and later
Vista x64Client: 6.0.0 and later6.1.7 and later6.1.7 and later
Server 2008 x646.0.7 and later6.1.7 and later6.1.7 and later
Server 2008 R2 x646.1.7 and later6.1.7 and later6.1.7 and later
7 x646.1.5 and later6.1.7 and later6.1.7 and later
Red Hat Enterprise Linux (x86 and x86-64)
36.0.0 and later 6.0.0 and later
46.0.0 and later 6.0.0 and later6.1.0 and later
5 and 5.16.0.0 and later 6.0.0 and later6.1.0 and later
5.26.0.10 and later 6.0.10 and later6.1.10 and later
5.46.1.5 and later 6.1.5 and later6.1.5 and later
6 and 6.16.2.0 and later 6.2.0 and later6.2.0 and later
Oracle Solaris (SPARC)
86.0.x6.0.x
9, 106.0.0 and later6.0.0 and later6.1.0 and later
Oracle Solaris (x86-64)
106.0.0 and later6.0.0 and later6.1.0 and later
SUSE Linux Enterprise Desktop (x86 and x86-64)
106.0.0 and later6.0.0 and later
116.2.0 and later 6.2.0 and later6.2.0 and later
SUSE Linux Enterprise Server (x86 and x86-64)
9 and 106.0.0 and later 6.0.0 and later
116.2.0 and later 6.2.0 and later6.2.0 and later
VMware ESX (directly on server virtualization layer)
3.56.0.2 and later6.0.2 and later

Package Dependencies

Windows Installer Service version 2.0 or later is required. See Installing Manually on Windows for more information.

On Windows Vista, .NET Framework 3.5 Service Pack 1 is reguired.

Software installation on AIX and HP-UX hosts requires gzip/gunzip to be available on the managed host.

Table 5.2. Packages required for AIX 5.x

PackageMinimum versionDescription
bos.net.tcp.client5.1.0.35TCP/IP Client Support
bos.rte.iconv5.1.0.25Language Converters
bos.rte.libc5.1.0.35libc Library
bos.rte.libpthreads5.1.0.35libpthreads Library
bos.rte.loc5.1.0.25Base Locale Support
bos.rte.security5.1.0.35Base Security Function
bos.rte.streams5.1.0.35Streams Libraries